#include<stdio.h>
#include<stdlib.h>
int main()
{
	int n,max=0,maxi,zamenad,zamenal,p,pp=1;
	scanf("%d",&n);
	int a[n];
	for(int i = 0;i<n;i++)
	{
		scanf("%d",&a[i]);
	}
	for(int i = n-1;i>=0;i--)
	{
		if(a[i]>max)
		{
			max=a[i];
			maxi=i;
		}
		if(a[i]<max)
		{
			zamenal=i;
			zamenad=maxi;
			pp=0;
		}
	}
	if(pp=0)
	{
	p=a[zamenad];
	a[zamenad]=a[zamenal];
	a[zamenal]=p;
}
else
{
	p=a[n-1];
	a[n-1]=a[n-2];
	a[n-2]=p;
}
	for(int i = 0 ;i<n;i++)
	{
		printf("%d ",a[i]);
	}

	return 0;
}